%def_enable gnome_vfs

Name: ntfsprogs
Version: 1.11.0
Release: alt2.1

Summary: NTFS filesystem utilities
License: GPL
Group: System/Kernel and hardware

Url: http://sf.net/projects/linux-ntfs
Source0: %name-%version.tar.gz

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

BuildPreReq: gcc-c++ libfuse-devel

%if_enabled gnome_vfs
BuildPreReq: pkgconfig gnome-vfs2-devel
%endif

# Automatically added by buildreq on Tue Aug 02 2005
BuildRequires: ORBit2-devel gcc-c++ glib2-devel gnome-vfs2-devel libbonobo2-devel libfuse-devel libstdc++-devel pkgconfig

%description
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains the following utilities:

   mkntfs : Format a partition using NTFS.
   ntfscat : Dump a file's contents to the standard output.
   ntfsclone : Efficiently create/restore an image of an NTFS partition.
   ntfscluster : Locate the owner of any given sector or cluster on an
       NTFS partition.
   ntfsfix : Clear the LogFile of a partition to make Windows perform a
       thorough check next time it boots.
   ntfsinfo :  Show some information about an NTFS partition or one of
       the files or directories within it.
   ntfslabel : Show, or set, an NTFS partition's volume label.
   ntfsls : List information about files in a directory residing on an
       NTFS partition.
   ntfsresize : Resize an NTFS partition without losing data.
   ntfsundelete : Recover deleted files from an NTFS partition.

%package -n fuse-ntfs
Summary: NTFS FUSE mount module
Group: System/Kernel and hardware
Conflicts: ntfsprogs = 1.11.0-alt1
%description -n fuse-ntfs
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

NTFS FUSE mount module

%package -n libntfs
Summary: NTFS filesystem libraries
Group: System/Libraries
%description -n libntfs
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains NTFS filesystem libraries.

%package -n libntfs-devel
Summary: NTFS filesystem header files
Group: Development/C
Requires: libntfs = %version-%release
%description -n libntfs-devel
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains NTFS filesystem header files.

%package -n libntfs-gnomevfs
Summary: GNOME VFS plugin to access NTFS volumes
Group: System/Libraries
Requires: libntfs = %version-%release
%description -n libntfs-gnomevfs
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains module to access NTFS volumes from within GNOME
VFS framework.

%package -n libntfs-gnomevfs-devel
Summary: Headers and development files for libntfs-gnomevfs
Group: Development/GNOME and GTK+
Requires: libntfs-gnomevfs = %version-%release
Requires: libntfs-devel = %version-%release
%description -n libntfs-gnomevfs-devel
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains development files for NTFS module for GNOME VFS.

%prep
%setup -q -n %name-%version

%build
%configure \
%if_enabled gnome_vfs
	--enable-gnome-vfs
%else
	--disable-gnome-vfs
%endif
%make_build

%install
%makeinstall
%__rm -f doc/Makefile*

%post -n libntfs -p %post_ldconfig
%postun -n libntfs -p %postun_ldconfig

%files
%_bindir/*
%_sbindir/*
%_man8dir/*
%exclude %_bindir/ntfsmount
%exclude %_man8dir/libntfs-gnomevfs*
%doc AUTHORS CREDITS ChangeLog NEWS README TODO.* doc/

%files -n libntfs
%_libdir/libntfs.so.*

%files -n fuse-ntfs
%_bindir/ntfsmount

%files -n libntfs-devel
%_libdir/libntfs.so
%dir %_includedir/ntfs
%_includedir/ntfs/*.h
%exclude %_includedir/ntfs/gnome-vfs*.h

%if_enabled gnome_vfs

%files -n libntfs-gnomevfs
%_sysconfdir/*/*/*
%_libdir/gnome-vfs*/*/lib*.so*
%_man8dir/libntfs-gnomevfs*

%files -n libntfs-gnomevfs-devel
%_includedir/ntfs/gnome-vfs*.h

%endif # gnome_vfs

%changelog
* Tue Aug 02 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.11.0-alt2.1
- fixed BuildRequires

* Wed Jul 27 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.11.0-alt2
- ntfsmount packaged separately (#7455)

* Wed Jul 20 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.11.0-alt1
- 1.11.0

* Fri Jun 24 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.10.0-alt1
- 1.10.0

* Sat May 21 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.9.4-alt2
- don't package doc/Makefile*

* Sat Nov 13 2004 Andrey Rahmatullin <wrar@altlinux.ru> 1.9.4-alt1
- 1.9.4
- do not build static libs
- update description
- add post(un)?_ldconfig
- change Packager:

* Fri Feb 06 2004 Michael Shigorin <mike@altlinux.ru> 1.8.4-alt1.1
- fixed gcc3.2 build request
- fixed GNOME package groups

* Thu Feb  5 2004 Alexey Morozov <morozov@altlinux.org> 1.8.4-alt1
- 1.8.4
- libntfs.a is conditionally built
  (--enable/--disable static, default is enabled)
- added libntfs-gnomevfs package
  (--enable/--disable gnome-vfs, default is enabled)
  static module library is under another condition
  (--enable/--disable static-gnome-vfs, default is disabled)

* Tue Jun 24 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.7.1-alt2
- deps correction

* Fri Jun 20 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.7.1-alt1
- Initial build
